Skip to main content
POST
/
query
Submit a sql statement for execution
curl --request POST \
  --url https://firebolt.go.firebolt.io/query \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/sql' \
  --data '<string>'
{
  "query": {
    "query_id": "<string>",
    "request_id": "<string>",
    "query_label": "<string>"
  },
  "meta": [
    {
      "name": "<string>",
      "type": "<string>"
    }
  ],
  "rows": 123,
  "data": [
    [
      "<string>"
    ]
  ],
  "statistics": {
    "elapsed": 123,
    "rows_read": 123,
    "bytes_read": 123,
    "scanned_bytes_cache": 123,
    "scanned_bytes_storage": 123
  },
  "explain_analyze": {
    "version": 123,
    "root_description": "<string>",
    "explain_type": "<string>",
    "query_id": "<string>",
    "operators": [
      {
        "operator_id": 123,
        "operator_type": "<string>",
        "input_ids": 123,
        "annotations": {
          "label": "<string>",
          "output_types": [
            "<string>"
          ],
          "input_ids": [
            123
          ],
          "execution_metrics": {
            "cpu_time_ms": 123,
            "max_single_work_call_thread_time_us": 123,
            "thread_time_ms": 123,
            "output_cardinality": 123,
            "optimized_out": true,
            "nothing_executed": true
          }
        }
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.firebolt.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

text/sql

Text of query to execute

The body is of type string.

Response

OK

Describes the result from a query

query
object

info on the query

meta
object[]

schema of the query results

rows
integer

the number of rows returned

data
((string | number | boolean)[])[]

the data returned

statistics
object

the statistics of the query

explain_analyze
object

the explain analyze of the query